Subject: Re: [RFC/PATCH] add: warn when -u or -A is used without filepattern

From: Robin Rosenberg <[email-masked]>
Date: Mon, 21 Jan 2013 21:29:46 +0100 (CET)

----- Ursprungligt meddelande -----

> > git diff
> > #looks good
> > git add -u
> 
> That's indeed the kind of mistake I'd like to avoid. In your example,
> "git diff" is tree-wide, and "git add -u" is limited to ., so in
> general
> "git add -u" won't stage the same thing as "git diff" just showed.

Good point. I rarely cd to anything but the top of the tree, but that
might be just me. OTOH, git diff after -u would remind me. It would bad if -u 
was tree wide and diff wasn't, but fortunately that's not the case.

The -A is a bit worse since it adds all the crap files lying around.

-- robin